const appName = "accessibar";
const regKey = "/Netscape/accessibar";
const regVersion = "0.0.1";
const jarFileName = "accessibar.jar";


var err = initInstall(appName, regKey, regVersion);
logComment("initInstall: " + err);

fChrome = getFolder("Chrome");

setPackageFolder(fChrome);
err = addFile(jarFileName)

logComment("addFile() returned: " + err);

var folder = getFolder(fChrome,jarFileName);

var regErr = registerChrome(PACKAGE | DELAYED_CHROME, folder, "content/");
logComment("regChrome returned: " + regErr);

// Language Packs
regErr = registerChrome(LOCALE | DELAYED_CHROME, folder, "locale/he-IL/" + appName + "/");
logComment("regChrome returned: " + regErr);

regErr = registerChrome(LOCALE | DELAYED_CHROME, folder, "locale/it-IT/" + appName + "/");
logComment("regChrome returned: " + regErr);

regErr = registerChrome(LOCALE | DELAYED_CHROME, folder, "locale/de-DE/" + appName + "/");
logComment("regChrome returned: " + regErr);

regErr = registerChrome(LOCALE | DELAYED_CHROME, folder, "locale/en-US/" + appName + "/");
logComment("regChrome returned: " + regErr);

// Skin
regErr = registerChrome(SKIN | DELAYED_CHROME, folder, "skin/classic/" + appName + "/");
logComment("regChrome returned: " + regErr);

regErr = registerChrome(SKIN | DELAYED_CHROME, folder, "skin/modern/" + appName + "/");
logComment("regChrome returned: " + regErr);


if (0 == getLastError())
  performInstall();
else
  cancelInstall(err);
